Subject: Re: [Bitcoin-development] Alert System

From: Steve <[email-masked]>
Date: Fri, 09 Sep 2011 01:04:08 +1000

I think there's a significant risk to not having it at this stage.  
There's many reasons why an urgent update may been to rapidly propagated 
in this stage of the network's lifecycle.  Perhaps if there's a 
perceived threat of abuse the protocol could be altered slightly so it 
can't carry content.  Only a notification of the fact that there is an 
alert.  Then it would be up to individual clients whether they react to 
it or not.  The main clients would probably check a central trusted 
server for actual alert content.  This would give a lot more flexibility 
in how to deal with the alert.  Alert content servers could for example 
implement a json api to provide alert content with meta data like target 
client version, priority etc.

I think it should be removed in the future but not for a good while yet.

On 09/09/11 00:42, David Perry wrote:
> There has been some discussion on the new Bitcoin StackExchange 
> <http://bitcoin.stackexchange.com> site lately about the alert 
> protocol. A few have suggested that it might carry the potential for 
> abuse (spam/DoS) and others have argued that it's merely deprecated. 
> In any case, enough have voiced concerns that I've forked 
> bitcoin/bitcoin, removed the snippet of code from main.cpp that makes 
> the questionable call and submitted a pull request 
> <https://github.com/bitcoin/bitcoin/pull/506>. On that pull request it 
> was noted by Gavin Andresen that it merited discussion here and some 
> kind of consensus should be reached before acting on that pull 
> request. It was also mentioned that he thought the feature was still 
> more useful than dangerous and that he would argue against.
>
> So I pose the question to you fine fellows: Is the alert system 
> valuable, an unnecessary risk or merely a snippet of deprecated code? 
> Should it be removed?
>
> Sources:
> http://bitcoin.stackexchange.com/questions/583/what-is-the-alert-system-in-the-bitcoin-protocol-how-does-it-work/590
> http://bitcoin.stackexchange.com/questions/636/is-the-alert-system-still-in-the-main-clients-code-will-it-be-removed/711
>
>
> ------------------------------------------------------------------------------
> Doing More with Less: The Next Generation Virtual Desktop
> What are the key obstacles that have prevented many mid-market businesses
> from deploying virtual desktops?   How do next-generation virtual desktops
> provide companies an easier-to-deploy, easier-to-manage and more affordable
> virtual desktop model.http://www.accelacomm.com/jaw/sfnl/114/51426474/
>
>
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development